Skip to content
Install

Add or replace the credential for one registry

PUT
/projects/{projectId}/registry-credentials
curl --request PUT \
--url https://example.com/projects/example/registry-credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "password": "example", "registry": "example", "username": "example" }'

Auth: authenticated (scope: deploy)

projectId
required
string
Media typeapplication/json
object
password
required

Password or access token; verified against the registry before it is stored

string
registry
required

Registry host such as ghcr.io, docker.io or registry.gitlab.com

string
username
required
string

Example generated

{
"password": "example",
"registry": "example",
"username": "example"
}

OK

Media typeapplication/json
object
createdAt
required
string
id
required
string format: uuid
registry
required

Normalised registry host, e.g. ghcr.io or docker.io

string
updatedAt
required
string
username
required
string

Example generated

{
"createdAt": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"registry": "example",
"updatedAt": "example",
"username": "example"
}